Module org.hdfgroup.hdfview
Package hdf.view.TableView

# Class DefaultBaseTableView.EditingGridLayer

Object
org.eclipse.nebula.widgets.nattable.layer.AbstractLayer
org.eclipse.nebula.widgets.nattable.layer.CompositeLayer
org.eclipse.nebula.widgets.nattable.grid.layer.GridLayer
hdf.view.TableView.DefaultBaseTableView.EditingGridLayer

All Implemented Interfaces:
  `org.eclipse.nebula.widgets.nattable.layer.ILayer`, `org.eclipse.nebula.widgets.nattable.layer.ILayerListener`, `org.eclipse.nebula.widgets.nattable.persistence.IPersistable`

Enclosing class:
  DefaultBaseTableView

protected class DefaultBaseTableView.EditingGridLayer extends org.eclipse.nebula.widgets.nattable.grid.layer.GridLayer
An implementation of a GridLayer with support for column grouping and with editing triggered by a double click instead of a single click.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.eclipse.nebula.widgets.nattable.layer.CompositeLayer

  `org.eclipse.nebula.widgets.nattable.layer.CompositeLayer.CompositeLayerPainter`

- ## Field Summary

  ### Fields inherited from class org.eclipse.nebula.widgets.nattable.layer.AbstractLayer

  `commandHandlers, eventHandlers, eventHelperLock, layerPainter`

  ### Fields inherited from interface org.eclipse.nebula.widgets.nattable.persistence.IPersistable

  `DOT, VALUE_SEPARATOR`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `EditingGridLayer​(org.eclipse.nebula.widgets.nattable.layer.ILayer bodyLayer, org.eclipse.nebula.widgets.nattable.layer.ILayer columnHeaderLayer, org.eclipse.nebula.widgets.nattable.layer.ILayer rowHeaderLayer, org.eclipse.nebula.widgets.nattable.layer.ILayer cornerLayer)`

- ## Method Summary

  ### Methods inherited from class org.eclipse.nebula.widgets.nattable.grid.layer.GridLayer

  `doCommand, doCommandOnChildLayers, getBodyLayer, getColumnHeaderLayer, getCornerLayer, getRowHeaderLayer, init, registerCommandHandlers, setBodyLayer, setColumnHeaderLayer, setCornerLayer, setRowHeaderLayer, toString`

  ### Methods inherited from class org.eclipse.nebula.widgets.nattable.layer.CompositeLayer

  `addConfigLabelAccumulatorForRegion, configure, dispose, getBoundsByPosition, getCellByPosition, getCellPainter, getChildLayerByLayoutCoordinate, getChildLayerByRegionName, getChildLayerLayout, getColumnCount, getColumnIndexByPosition, getColumnPositionByX, getColumnPositionOffset, getColumnWidthByPosition, getConfigLabelAccumulatorByRegionName, getConfigLabelsByPosition, getDataValueByPosition, getDisplayModeByPosition, getHeight, getHeightOffset, getLayoutXByColumnPosition, getLayoutXByPixelX, getLayoutXCount, getLayoutXYByChildLayer, getLayoutXYByPixelXY, getLayoutXYByPosition, getLayoutYByPixelY, getLayoutYByRowPosition, getLayoutYCount, getPreferredColumnCount, getPreferredHeight, getPreferredRowCount, getPreferredWidth, getProvidedLabels, getRegionLabelsByXY, getRowCount, getRowHeightByPosition, getRowIndexByPosition, getRowPositionByY, getRowPositionOffset, getStartXOfColumnPosition, getStartYOfRowPosition, getUnderlyingLayerByPosition, getUnderlyingLayersByColumnPosition, getUnderlyingLayersByRowPosition, getWidth, getWidthOffset, isColumnPositionResizable, isDynamicSizeLayer, isRowPositionResizable, loadState, localToUnderlyingColumnPosition, localToUnderlyingRowPosition, saveState, setChildLayer, setConfigLabelAccumulatorForRegion, underlyingToLocalColumnPosition, underlyingToLocalColumnPositions, underlyingToLocalRowPosition, underlyingToLocalRowPositions`

  ### Methods inherited from class org.eclipse.nebula.widgets.nattable.layer.AbstractLayer

  `addConfiguration, addLayerListener, clearConfiguration, fireLayerEvent, getClientAreaProvider, getConfigLabelAccumulator, getLayerPainter, getRegionName, handleLayerEvent, hasLayerListener, registerCommandHandler, registerEventHandler, registerPersistable, removeLayerListener, setClientAreaProvider, setConfigLabelAccumulator, setLayerPainter, setRegionName, unregisterCommandHandler, unregisterEventHandler, unregisterPersistable`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### EditingGridLayer

    public EditingGridLayer​(org.eclipse.nebula.widgets.nattable.layer.ILayer bodyLayer, org.eclipse.nebula.widgets.nattable.layer.ILayer columnHeaderLayer, org.eclipse.nebula.widgets.nattable.layer.ILayer rowHeaderLayer, org.eclipse.nebula.widgets.nattable.layer.ILayer cornerLayer)